> ## Documentation Index
> Fetch the complete documentation index at: /docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List the published menu bundle



## OpenAPI

````yaml /generated/storefront.openapi.json get /locations/{locationId}/menus
openapi: 3.0.3
info:
  title: Crave Storefront API
  version: 2.0.0
  description: >-
    Direct public Storefront API. Anonymous catalog reads require no API key.
    Protected resources use purpose-limited cart, checkout, receipt, or customer
    credentials.
  contact:
    name: Crave Support
    email: hello@craveup.com
servers:
  - url: https://api.craveup.com/api/v1/storefront
    description: Production Storefront API
  - url: https://sandbox-api.craveup.com/api/v1/storefront
    description: Sandbox Storefront API
security: []
tags:
  - name: Customer Auth
  - name: Catering
  - name: Loyalty
  - name: Merchants
  - name: Locations
  - name: Ordering Sessions
  - name: Menus
  - name: Products
  - name: Carts
  - name: Analytics
  - name: Checkout
  - name: Cart Items
  - name: Discounts
  - name: Customers
  - name: Orders
paths:
  /locations/{locationId}/menus:
    get:
      tags:
        - Menus
      summary: List the published menu bundle
      operationId: storefrontListMenus
      parameters:
        - name: locationId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 128
        - name: orderDate
          in: query
          required: false
          schema:
            type: string
            minLength: 1
        - name: orderTime
          in: query
          required: false
          schema:
            type: string
            minLength: 1
        - name: menuOnly
          in: query
          required: false
          schema:
            type: boolean
        - name: channel
          in: query
          required: true
          schema:
            type: string
            enum:
              - online
              - catering
      responses:
        '200':
          description: Published menu bundle.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MenuBundle'
        '400':
          description: The request is invalid.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '404':
          description: The requested resource was not found.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '429':
          description: The request was rate limited.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '500':
          description: An unexpected error occurred.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '503':
          description: A required dependency is temporarily unavailable.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
      security: []
components:
  schemas:
    MenuBundle:
      type: object
      properties:
        menus:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 1
                maxLength: 128
              source:
                type: object
                properties:
                  menuId:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  locationId:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  channel:
                    type: string
                    enum:
                      - online
                      - catering
                  kind:
                    type: string
                    enum:
                      - released
                  menuReleaseId:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                required:
                  - menuId
                  - locationId
                  - channel
                  - kind
                  - menuReleaseId
                additionalProperties: false
              name:
                type: string
              isActive:
                type: boolean
              time:
                type: string
              imageUrl:
                type: string
              categories:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      minLength: 1
                      maxLength: 128
                    name:
                      type: string
                    parentCategoryId:
                      type: string
                      minLength: 1
                      maxLength: 128
                    products:
                      type: array
                      items:
                        $ref: '#/components/schemas/MenuProduct'
                  required:
                    - id
                    - name
                    - products
                  additionalProperties: {}
            required:
              - id
              - source
              - name
              - isActive
              - time
              - categories
            additionalProperties: {}
        popularProducts:
          type: array
          items:
            $ref: '#/components/schemas/MenuProduct'
      required:
        - menus
        - popularProducts
      additionalProperties: false
    CommerceErrorEnvelope:
      type: object
      properties:
        code:
          anyOf:
            - type: string
              enum:
                - VALIDATION_ERROR
                - UNAUTHORIZED
                - CUSTOMER_AUTH_CODE_REJECTED
                - FORBIDDEN
                - NOT_FOUND
                - RATE_LIMITED
                - CART_CONFLICT
                - REQUOTE_REQUIRED
                - RESOURCE_CONFLICT
                - CART_IMMUTABLE
                - IDEMPOTENCY_KEY_REQUIRED
                - IDEMPOTENCY_KEY_REUSED
                - IDEMPOTENCY_IN_PROGRESS
                - DEPENDENCY_UNAVAILABLE
                - INTERNAL_ERROR
            - type: string
              minLength: 1
        message:
          type: string
          minLength: 1
        requestId:
          type: string
          minLength: 8
        details:
          type: object
          additionalProperties: {}
      required:
        - code
        - message
        - requestId
      additionalProperties: false
    MenuProduct:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          maxLength: 128
        name:
          type: string
        price:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        displayPrice:
          type: string
        currency:
          type: string
          enum:
            - usd
            - gbp
            - aed
            - aud
        modifierIds:
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 128
        description:
          type: string
        availability:
          type: string
        images:
          type: array
          items:
            type: string
        sellability:
          type: object
          properties:
            sellable:
              type: boolean
            reasonCodes:
              type: array
              items:
                type: string
          required:
            - sellable
            - reasonCodes
          additionalProperties: false
        source:
          type: object
          properties:
            menuId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            locationId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            channel:
              type: string
              enum:
                - online
                - catering
            kind:
              type: string
              enum:
                - released
            menuReleaseId:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          required:
            - menuId
            - locationId
            - channel
            - kind
            - menuReleaseId
          additionalProperties: false
        quantityUnit:
          type: string
          enum:
            - serving
            - person
            - item
            - dozen
            - tray
            - pack
            - lb
            - oz
            - kg
            - g
            - gallon
            - quart
            - liter
            - ml
            - fl_oz
      required:
        - id
        - name
        - price
        - displayPrice
        - currency
        - modifierIds
        - description
        - source
        - quantityUnit
      additionalProperties: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.